Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Item.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\Core\FieldType\Page\Parts;
8
9 use eZ\Publish\API\Repository\Values\ValueObject;
10
23 class Item extends ValueObject
24 {
26 protected $contentId;
27
29 protected $locationId;
30
32 protected $priority;
33
35 protected $publicationDate;
36
38 protected $visibilityDate;
39
41 protected $hiddenDate;
42
44 protected $rotationUntilDate;
45
47 protected $movedTo;
48
54 protected $action;
55
57 protected $blockId;
58
64 public $attributes = [];
65
71 public function getState()
72 {
73 $hash = [];
74
75 foreach ($this->getProperties() as $property) {
76 $hash[$property] = $this->$property;
77 }
78
79 return $hash;
80 }
81 }
eZ\Publish\API\Repository\Values\ValueObject
Definition: API/Repository/Values/ValueObject.php:21
eZ\Publish\API\Repository\Values\ValueObject\getProperties
getProperties($dynamicProperties=[])
Function where list of properties are returned.
Definition: API/Repository/Values/ValueObject.php:50
eZ\Publish\Core\FieldType\Page\Parts\Item
Definition: Item.php:24
eZ\Publish\Core\FieldType\Page\Parts\Item\$rotationUntilDate
$rotationUntilDate
Definition: Item.php:44
eZ\Publish\Core\FieldType\Page\Parts\Item\$action
$action
Definition: Item.php:54
eZ\Publish\Core\FieldType\Page\Parts\Item\$publicationDate
$publicationDate
Definition: Item.php:35
eZ\Publish\Core\FieldType\Page\Parts\Item\$priority
$priority
Definition: Item.php:32
eZ\Publish\Core\FieldType\Page\Parts\Item\getState
getState()
Returns available properties with their values as a simple hash.
Definition: Item.php:71
eZ\Publish\Core\FieldType\Page\Parts\Item\$visibilityDate
$visibilityDate
Definition: Item.php:38
eZ\Publish\Core\FieldType\Page\Parts\Item\$locationId
$locationId
Definition: Item.php:29
eZ\Publish\Core\FieldType\Page\Parts\Item\$hiddenDate
$hiddenDate
Definition: Item.php:41
eZ\Publish\Core\FieldType\Page\Parts\Item\$movedTo
$movedTo
Definition: Item.php:47
eZ\Publish\Core\FieldType\Page\Parts\Item\$blockId
$blockId
Definition: Item.php:57
eZ\Publish\Core\FieldType\Page\Parts\Item\$contentId
$contentId
Definition: Item.php:26
eZ\Publish\Core\FieldType\Page\Parts\Item\$attributes
$attributes
Definition: Item.php:64
eZ\Publish\Core\FieldType\Page\Parts
Definition: FieldType/Page/Parts/Base.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.